Georges
Khaznadar

                georgesk@ofset.org

This manual page was originally written by &dhusername; for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; General Public License, Version 2 any later version published by the Free Software Foundation. On &debian; systems, the complete text of the &gnu; General Public License can be found in /usr/share/common-licenses/GPL.
Carsten
Grohmann

                mail@carstengrohmann.de

Current maintainer of this manpage.
2003
Georges Khaznadar
2012
Carsten Grohmann
January 07, 2012
wxGlade
1
wxGlade
User Commands
January 07, 2012

# &dhpackage;

python program to build user interfaces based on the wxWidgets toolset.

          &dhpackage;

            --help
            -h

          &dhpackage;
          --version

          &dhpackage;

            FILENAME.wxg

          &dhpackage;

            -g LANG
            --generate-code LANG

            -o DESTINATION
            --output DESTINATION

            FILENAME.wxg

## DESCRIPTION

`&dhpackage;` wxGlade is a GUI designer written in Python with the popular GUI toolkit wxPython, that helps you create wxWidgets/wxPython user interfaces. At the moment it can generate Python, Lisp, C++ and XRC (wxWidgets' XML resources) code.

## OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

`-g` or `--generate-code` LANG

  If you only want to generate the code without starting the GUI, use the -g or --generate-code option with the language as argument

  Possible values for LANG are "python", "lisp", "XRC", "perl" or "C++".

`-o` or `--output` DESTINATION

  You can specify the destination of the generated code with -o or --output option.

  The DESTINATION argument can be a file or a directory. It is a file when the FILENAME.wxg generates single-file source code. It is a directory when the FILENAME.wxg generates multiple-file source code.

`-h` or `--help`

  Show the help message and exit

`--version`

  Show programs version number and exit

## EXAMPLES

Generate Python code out of `myapp.wxg`:

`&dhpackage;` -o /tmp -g python myapp.wxg

Open file `myapp.wxg` in wxGlade GUI:

`&dhpackage;` myapp.wxg

## BUGS

Report wxGlade bugs to <wxglade-general@lists.sourceforge.net> or <http://sourceforge.net/projects/wxglade/>

## SEE ALSO

wxGlade home page <http://wxgalde.sourceforge.net>